import { PathBased } from '@lightweightform/core';
/**
 * Available types of card content.
 */
export declare type CardContentType = 'header' | 'body' | 'footer' | 'title' | 'subtitle' | 'text' | 'link' | 'img' | 'img-overlay' | 'img-top' | 'img-bottom';
/**
 * Content of an `lf-card`.
 */
export declare class CardContentComponent extends PathBased {
    /**
     * Type of the content.
     */
    contentType: CardContentType;
    readonly _hostClassCardHeader: boolean;
    readonly _hostClassCardBody: boolean;
    readonly _hostClassCardFooter: boolean;
    readonly _hostClassCardTitle: boolean;
    readonly _hostClassCardSubtitle: boolean;
    readonly _hostClassCardText: boolean;
    readonly _hostClassCardLink: boolean;
    readonly _hostClassCardImg: boolean;
    readonly _hostClassCardImgOverlay: boolean;
    readonly _hostClassCardImgTop: boolean;
    readonly _hostClassCardImgBottom: boolean;
}
