import { BsDatepickerConfig } from 'ngx-bootstrap/datepicker';
import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the date component.
 */
export declare const dateComponentHtml: string;
/**
 * LF date component.
 */
export declare class DateComponent extends InlineValue {
    /**
     * Format of the date.
     */
    readonly dateFormat: any;
    /**
     * Placeholder of the `input` field.
     */
    readonly placeholder: any;
    /**
     * Config for the `BsDatepicker`.
     */
    readonly bsConfig: Partial<BsDatepickerConfig>;
    /**
     * Action to run whenever the date `input` changes. FIXME: this is being
     * called as soon as the component loads (meaning that the value is being set
     * to `dirty` without user interaction).
     * @param date Date to set.
     */
    _onDatePickerChange(date: Date): void;
    /**
     * @override
     */
    protected validatePath(): void;
}
