import { InlineValue } from '../../abstract/inline-value';
/**
 * HTML string of the number component.
 */
export declare const numberComponentHtml: string;
/**
 * LF number component.
 */
export declare class NumberComponent extends InlineValue {
    /**
     * Number of decimal digits to show.
     */
    scale: number;
    /**
     * Number of digits to show on the left side of the number.
     */
    leadingZeroes: number;
    /**
     * Whether the number being displayed should represent an integer.
     */
    representsInteger: boolean;
    /**
     * Whether the number is currently being edited.
     */
    protected _isEditing: boolean;
    /**
     * Number's prefix.
     */
    readonly prefix: any;
    /**
     * Number's suffix.
     */
    readonly suffix: any;
    /**
     * Number's decimal separator.
     */
    readonly decimalSeparator: any;
    /**
     * Number's thousands separator.
     */
    readonly thousandsSeparator: any;
    /**
     * Whether the number is in "editing" mode.
     */
    readonly isEditing: boolean;
    /**
     * @override
     * Begin "editing" mode.
     */
    _onFocus(evt: any): void;
    /**
     * @override
     * Quit "editing" mode.
     */
    _onBlur(evt: any): void;
    /**
     * Formats the value to be displayed.
     * @param value Value to format.
     * @returns Formatted value.
     */
    formatValueForDisplay(value: number | null): string;
    formatValueForEdit(value: number | null): string;
    protected _getEditCaretPosition(formattedValue: string, caret: number): number;
    /**
     * @override
     */
    protected validatePath(): void;
}
