import { SingleSelectionValue } from '../../abstract/single-selection-value';
/**
 * HTML string of the radio component.
 */
export declare const radioComponentHtml: string;
/**
 * Component used for selecting from a list of options by using inputs of type
 * `radio`.
 */
export declare class RadioComponent extends SingleSelectionValue {
    /**
     * Whether the list of radio inputs should be displayed inline. The component
     * will still display in "block" mode in small screens.
     */
    displayInline: boolean;
    /**
     * Action to run whenever the value of the `radio` input changes.
     * @param evt `change` event.
     */
    _onRadioChange(evt: any): void;
}
