import { ValidationIssue } from '@lightweightform/storage';
import { Toggleable } from '../../abstract/toggleable';
/**
 * HTML string of the validation panel component.
 */
export declare const validationPanelComponentHtml: string;
/**
 * Validation panel component.
 */
export declare class ValidationPanelComponent extends Toggleable {
    /**
     * Path currently being viewed.
     */
    private _currentPath;
    private lfRouter;
    ngOnInit(): void;
    readonly errorsText: string;
    readonly warningsText: string;
    readonly noIssuesText: string;
    readonly nextButtonTooltipText: any;
    readonly prevButtonTooltipText: any;
    readonly closeButtonTooltipText: any;
    show(): void;
    readonly isPending: boolean;
    readonly currentPath: string;
    readonly currentLabel: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationIssue[];
    readonly warnings: ValidationIssue[];
    readonly hasNoIssues: boolean;
    readonly panelType: "secondary" | "danger" | "warning" | "success";
    private readonly _pages;
    private readonly _validationIssues;
    /**
     * Label associated with the given path.
     * @param path Path from which to fetch label.
     * @returns Label of given path.
     */
    private labelOf;
    private navigateToCurrentPath;
}
