import { PathBased } from '@lightweightform/core';
/**
 * HTML string of the value-state component.
 */
export declare const valueStateComponentHtml: string;
/**
 * Component used to debug information about the state of a value.
 */
export declare class ValueStateComponent extends PathBased {
    /**
     * Whether the application is in production mode.
     */
    inProduction: boolean;
    /**
     * State properties where each "promise" is transformed into an object for
     * easier rendering as a JSON. Also hides the `$mobx` property.
     */
    readonly stateProperties: Record<string, any>;
    /**
     * Whether the state properties contain at least one async property.
     */
    readonly hasAsyncProperties: boolean;
}
