import { PathBased } from '@lightweightform/core';
import { ValidationIssue } from '@lightweightform/storage';
export declare const LF_URL_PROTOCOL = "lf://";
/**
 * Validation message directive.
 */
export declare class ValidationIssueDirective extends PathBased {
    /**
     * Issue with message to display.
     */
    issue: ValidationIssue;
    private router;
    private lfRouter;
    private markdownService;
    ngOnInit(): void;
    /**
     * HTML string with the issue message to display.
     */
    readonly issueMessageHTML: string;
    _onClick(target: HTMLElement, button: number, ctrlKey: boolean, metaKey: boolean, shiftKey: boolean): boolean;
    /**
     * Label associated with the given path.
     * @param path Path from which to fetch label.
     * @returns Label of given path.
     */
    private labelOf;
}
