/**
 * I18n key used to associate a label with a value.
 */
export declare const I18N_VALUE_LABEL_KEY = "label";
/**
 * I18n key used to associate a code with a value.
 */
export declare const I18N_VALUE_CODE_KEY = "code";
/**
 * I18n key used to associate a help message with a value.
 */
export declare const I18N_VALUE_HELP_MESSAGE_KEY = "helpMessage";
/**
 * I18n key used to associate a legend with a value.
 */
export declare const I18N_VALUE_LEGEND_KEY = "legend";
/**
 * I18n key used to ask the user to retry validating the value.
 */
export declare const I18N_VALUE_RETRY_VALIDATE_TEXT_KEY = "retryValidateText";
/**
 * I18n key used to set the text of the dropdown button used to add optional
 * forms.
 */
export declare const I18N_TREE_NAV_ADD_OPTIONAL_VALUE_BUTTON_TEXT_KEY = "addOptionalValueButtonText";
/**
 * I18n key used to set the text of the button used to add forms to a list of
 * forms.
 */
export declare const I18N_TREE_NAV_ADD_VALUE_TO_LIST_BUTTON_TEXT_KEY = "addValueToListButtonText";
/**
 * I18n key used to set the text of the actions-menu button when it is in
 * "mobile" mode.
 */
export declare const I18N_ACTIONS_MENU_BUTTON_TEXT_KEY = "actionsButtonText";
/**
 * I18n key used to translate the text of the buttons.
 */
export declare const I18N_ACTIONS_MENU_KEY = "actionsMenu";
/**
 * I18n key used to translate the text of the options of the buttons.
 */
export declare const I18N_ACTIONS_MENU_OPTIONS_KEY = "actionsMenuOptions";
/**
 * I18n key used to set the text of the tooltip of the "close" button in an
 * alert.
 */
export declare const I18N_ALERT_CLOSE_BUTTON_TOOLTIP_KEY = "closeButtonTooltip";
/**
 * I18n key used to set the text of the tooltip of the "close" button in a
 * modal.
 */
export declare const I18N_MODAL_CLOSE_BUTTON_TOOLTIP_KEY = "closeButtonTooltip";
/**
 * I18n key used to set the "errors" title of validation panel.
 */
export declare const I18N_VALIDATION_PANEL_ERRORS_TEXT_KEY = "errorsText";
/**
 * I18n key used to set the "warnings" title of validation panel.
 */
export declare const I18N_VALIDATION_PANEL_WARNINGS_TEXT_KEY = "warningsText";
/**
 * I18n key used to set the text that shows up in the validation panel when
 * there are no errors or warnings.
 */
export declare const I18N_VALIDATION_PANEL_NO_ISSUES_TEXT_KEY = "noIssuesText";
/**
 * I18n key used to set the text of the tooltip of the "next" button in the
 * validation panel.
 */
export declare const I18N_VALIDATION_PANEL_NEXT_BUTTON_TOOLTIP_KEY = "nextButtonTooltip";
/**
 * I18n key used to set the text of the tooltip of the "previous" button in the
 * validation panel.
 */
export declare const I18N_VALIDATION_PANEL_PREV_BUTTON_TOOLTIP_KEY = "prevButtonTooltip";
/**
 * I18n key used to set the text of the tooltip of the "close" button in the
 * validation panel.
 */
export declare const I18N_VALIDATION_PANEL_CLOSE_BUTTON_TOOLTIP_KEY = "closeButtonTooltip";
/**
 * I18n key used to set the text of a form component's help action.
 */
export declare const I18N_FORM_HELP_ACTION_TEXT_KEY = "helpActionText";
/**
 * I18n key used to set the text of a form component's remove action.
 */
export declare const I18N_FORM_REMOVE_ACTION_TEXT_KEY = "removeActionText";
/**
 * I18n key used to set the message displayed to the user in a form component to
 * confirm removal of a form.
 */
export declare const I18N_FORM_ENSURE_REMOVE_TEXT_KEY = "ensureRemoveText";
/**
 * I18n key used to set the text of a form component's "cancel" button in the
 * removal modal.
 */
export declare const I18N_FORM_CANCEL_REMOVE_BUTTON_TEXT_KEY = "cancelRemoveButtonText";
/**
 * I18n key used to set the text of a form component's "confirm" button in the
 * removal modal.
 */
export declare const I18N_FORM_CONFIRM_REMOVE_BUTTON_TEXT_KEY = "confirmRemoveButtonText";
/**
 * I18n key used to set the format of a date component.
 */
export declare const I18N_DATE_FORMAT_KEY = "format";
/**
 * I18n keys used to set the placeholder of a date component's input field.
 */
export declare const I18N_DATE_PLACEHOLDER_KEY = "placeholder";
/**
 * I18n keys used to set the separator of the date range.
 */
export declare const I18N_DATE_RANGE_SEPARATOR_KEY = "separator";
/**
 * I18n key used to set the prefix of a number component.
 */
export declare const I18N_NUMBER_PREFIX_KEY = "prefix";
/**
 * I18n key used to set the suffix of a number component.
 */
export declare const I18N_NUMBER_SUFFIX_KEY = "suffix";
/**
 * I18n key used to set the decimal separator of a number component.
 */
export declare const I18N_NUMBER_DECIMAL_SEPARATOR_KEY = "decimalSeparator";
/**
 * I18n key used to set the "thousands separator" of a number component.
 */
export declare const I18N_NUMBER_THOUSANDS_SEPARATOR_KEY = "thousandsSeparator";
/**
 * I18n key used to translate the "add row" text of the table component.
 */
export declare const I18N_TABLE_ADD_ROW_ACTION_TEXT_KEY = "addRowActionText";
/**
 * I18n key used to translate the "remove rows" text of the table component.
 */
export declare const I18N_TABLE_REMOVE_ROWS_ACTION_TEXT_KEY = "removeRowsActionText";
/**
 * I18n key used to translate the "no rows" text of the table component.
 */
export declare const I18N_TABLE_NO_ROWS_TEXT_KEY = "noRowsText";
/**
 * I18n key used to set the labels of the table columns in the table component.
 */
export declare const I18N_TABLE_COLUMN_LABELS_KEY = "columnLabels";
/**
 * I18n key used to specify the list of options.
 */
export declare const I18N_SELECTION_OPTIONS_KEY = "options";
/**
 * I18n key used to translate the "no options" message on components that
 * require options.
 */
export declare const I18N_SELECTION_NO_OPTIONS_TEXT_KEY = "noOptionsText";
